Subject: bug#26245: dovecot-trees: Update to 2.1.0

From: Kei Kebreau <[email-masked]>
Date: Mon, 27 Mar 2017 17:22:07 -0400

ng0 <[email-masked]> writes:

> This updates dovecot-trees to 2.1.0.
>
> It also changes the -fetch method to use file instead of git. The
> problem is I'm not sure if I picked the correct link.
>
> https://0xacab.org/riseuplabs/trees/tree/v2.1.0 is the url I used, in
> the webbrowser I selected the dropdown menu in their gitlab to save the
> master. I suppose that v2.1.0 is a tag and not just a branch, and that
> this downloads the tag at this commit.
> If you know a better way, or know this doesn't work, I appreciate
> feedback. Maybe we could document how to get this from gitlab based git
> instances, so that it's useful for packagers.

LGTM. If there is a better way, I don't know it. The package 'higan' in
gnu/packages/games.scm also uses this sort of URL. Thoughts, anyone?